Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.verify
Class Verifier

    java.lang.Object
      hibergui.verify.Verifier

    public class Verifier

extends java.lang.Object

Field Summary
`(package private) java.util.LinkedHashMap<Constraint,java.lang.Object[]>` | `constraints`
`private boolean` | `failed`
`(package private) java.lang.String` | `failureMessage`
`(package private) int` | `failureSeverity`

Constructor Summary
`Verifier()`

Method Summary
`void` | `addConstraint(Constraint c, int severity, java.lang.String failureMessage)`
`java.lang.String` | `getFailureMessage()`
`int` | `getFailureSeverity()`
`boolean` | `hasFailed()`
`void` | `removeConstraint(Constraint c)`
`boolean` | `verify(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### constraints

    java.util.LinkedHashMap<Constraint,java.lang.Object[]> constraints

### failureSeverity

    int failureSeverity

### failureMessage

    java.lang.String failureMessage

### failed

    private boolean failed

Constructor Detail

### Verifier

    public Verifier()

Method Detail

### addConstraint

    public void addConstraint(Constraint c,
                              int severity,
                              java.lang.String failureMessage)

### removeConstraint

    public void removeConstraint(Constraint c)

### verify

    public boolean verify(java.lang.Object o)

### getFailureMessage

    public java.lang.String getFailureMessage()

### getFailureSeverity

    public int getFailureSeverity()

### hasFailed

    public boolean hasFailed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD